OpenVDB: Tree< BuildT >::WriteAccessor Struct Reference

OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Tree< BuildT >::WriteAccessor Struct Reference

`#include <nanovdb/util/GridBuilder.h>`

## Public Types
using | AccT = ValueAccessor< BuildT >
using | ValueType = typename AccT::ValueType
using | LeafT = typename AccT::LeafT
using | Node1 = typename AccT::Node1
using | Node2 = typename AccT::Node2
using | RootNodeType = typename AccT::RootNodeType

## Public Member Functions
| WriteAccessor (RootNodeType &parent, std::mutex &mx)
| WriteAccessor (const WriteAccessor &)=delete
| WriteAccessor (WriteAccessor &&)=default
| ~WriteAccessor ()
void | merge ()
void | setValueOn (const Coord &ijk)
void | setValue (const Coord &ijk, const ValueType &value)

## Public Attributes
RootNodeType & | mParent
RootNodeType | mRoot
AccT | mAcc
std::mutex & | mMutex

## Member Typedef Documentation

## ◆ AccT

template<typename BuildT >

using AccT = ValueAccessor<BuildT>

## ◆ LeafT

template<typename BuildT >

using LeafT = typename AccT::LeafT

## ◆ Node1

template<typename BuildT >

using Node1 = typename AccT::Node1

## ◆ Node2

template<typename BuildT >

using Node2 = typename AccT::Node2

## ◆ RootNodeType

template<typename BuildT >

using RootNodeType = typename AccT::RootNodeType

## ◆ ValueType

template<typename BuildT >

using ValueType = typename AccT::ValueType

## Constructor & Destructor Documentation

## ◆ WriteAccessor() [1/3]

template<typename BuildT >

WriteAccessor | ( | RootNodeType & | parent,
|  | std::mutex & | mx
| ) |  |
| inline

## ◆ WriteAccessor() [2/3]

template<typename BuildT >

WriteAccessor | ( | const WriteAccessor & |  | ) |
| delete

## ◆ WriteAccessor() [3/3]

template<typename BuildT >

WriteAccessor | ( | WriteAccessor && |  | ) |
| default

## ◆ ~WriteAccessor()

template<typename BuildT >

~WriteAccessor | ( |  | ) |
| inline

## Member Function Documentation

## ◆ merge()

template<typename BuildT >

void merge | ( |  | ) |
| inline

## ◆ setValue()

template<typename BuildT >

void setValue | ( | const Coord & | ijk,
|  | const ValueType & | value
| ) |  |
| inline

## ◆ setValueOn()

template<typename BuildT >

void setValueOn | ( | const Coord & | ijk | ) |
| inline

## Member Data Documentation

## ◆ mAcc

template<typename BuildT >

AccT mAcc

## ◆ mMutex

template<typename BuildT >

std::mutex& mMutex

## ◆ mParent

template<typename BuildT >

RootNodeType& mParent

## ◆ mRoot

template<typename BuildT >

RootNodeType mRoot